//----------------------------------------------------------------------------------------------------
// CA Spectrum main directory
//----------------------------------------------------------------------------------------------------
CAS_HOME = "C:\\CA-Spectrum"; // usually /usr/local/spectrum for Linux

//----------------------------------------------------------------------------------------------------
// Web Service URL of relevance engine forms used to inject events
//----------------------------------------------------------------------------------------------------
var XMATTERS_REB_FORM_CASPECTRUM = "<Web Service URL of Spectrum Incidents form>";

var RESPONSE_OPTIONS_WHEN_NOT_CLEARABLE = [
    '<Insert Acknowledge response option UID here>', // Acknowledge response option UID
    '<Insert Escalate response option UID here>'  // Escalate response option UID
];
  
//----------------------------------------------------------------------------------------------------
// Web Service URL of relevance engine forms used to create conferences events
//----------------------------------------------------------------------------------------------------
var XMATTERS_REB_FORM_CASPECTRUM_CONFERENCE = "Web Service URL of Spectrum Major Incident Conference form";

var XMATTERS_ENABLE_CONFERENCES = false;
//----------------------------------------------------------------------------------------------------
// The Web Login ID used to authenticate the request to xMatters. The user's password should be encrypted
// using the iapassword.sh utility. Please see the integration agent documentation for instructions.
//----------------------------------------------------------------------------------------------------
INITIATOR = "caspectrum"; 
PASSWORD = "conf/.initiatorpasswd";

// ----------------------------------------------------------------------------------------------------
// Filter to use in <IAHOME>/conf/deduplicator-filter.xml
// ----------------------------------------------------------------------------------------------------
var DEDUPLICATION_FILTER_NAME = "caspectrum-2-0";

// Annotation to be used for prefix within Netcool
var annotationPrefix = "xMatters: "; 

// Update events with xMatters notification delivery status.
var ANNOTATE_DELIVERY = true;

// Response actions, as configured in the form (use lowercase)
var RESPONSE_ACTION_ACK         = "ack";
var RESPONSE_ACTION_ACKNOWLEDGE = "acknowledge";
var RESPONSE_ACTION_CLR         = "clr";
var RESPONSE_ACTION_CLEAR       = "clear";
var RESPONSE_ACTION_IGN         = "esc";
var RESPONSE_ACTION_IGNORE      = "escalate";

// SPECTRUM CLI commands used in this integration
var ack_cmd     = "AlarmAck";
var clear_cmd   = "AlarmClear";
var update_cmd  = "updatealarm";

//SPECTRUM Attribute IDs
var AlarmStatus = "0x11f4f";

var exceptionString = "JavaException: ";
var loggingHeader = "caspectrum.js: ";

var DEBUG = false; // set to 'false' to make calls to CA Spectrum  